## org.codehaus.groovy.grails.web.util
Class StreamCharBuffer.AbstractChunk

    java.lang.Object
      org.codehaus.groovy.grails.web.util.StreamCharBuffer.AbstractChunk

Direct Known Subclasses:
  StreamCharBuffer.CharBufferChunk, StreamCharBuffer.StreamCharBufferSubChunk, StreamCharBuffer.StringChunk

Enclosing class:
  StreamCharBuffer

    abstract class StreamCharBuffer.AbstractChunk

extends Object

Field Summary
`(package private) StreamCharBuffer.AbstractChunk` `next`
`(package private) StreamCharBuffer.AbstractChunk` `prev`
`(package private) int` `writerUsedCounter`

Constructor Summary
`StreamCharBuffer.AbstractChunk()`

Method Summary
`abstract StreamCharBuffer.ChunkReader` `getChunkReader(boolean removeAfterReading)`
`int` `getWriterUsedCounter()`
`abstract int` `size()`
`void` `subtractFromTotalCount()`
`abstract void` `writeTo(Writer target)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### next

    StreamCharBuffer.AbstractChunk next

### prev

    StreamCharBuffer.AbstractChunk prev

### writerUsedCounter

    int writerUsedCounter

Constructor Detail

### StreamCharBuffer.AbstractChunk

    public StreamCharBuffer.AbstractChunk()

Method Detail

### writeTo

    public abstract void writeTo(Writer target)
                          throws IOException

  Throws:
    `IOException`

### getChunkReader

    public abstract StreamCharBuffer.ChunkReader getChunkReader(boolean removeAfterReading)

### size

    public abstract int size()

### getWriterUsedCounter

    public int getWriterUsedCounter()

### subtractFromTotalCount

    public void subtractFromTotalCount()

Copyright (c) 2005-2009 The Grails project